glassfish
  1. glassfish
  2. GLASSFISH-15756

Cannot install updatetool due to dependency issue

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Critical Critical
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.1_dev
    • Component/s: packaging
    • Labels:
      None

      Description

      I want to install updatetool to reproduce GLASSFISH-15751. However, the installation failed.
      Here is the step:

      • run glassfishv3/bin/updatetool and that failed. I cannot install update tool due to
        Input/output error: Unable to resolve dependency on package:pkg:/wxpython2.8-minimal@2.8.10.1-50

      This is what it showed on my terminal.

      ~/Sun/v3/3.0.1/pb22/glassfishv3/bin 17) ./updatetool

      The software needed for this command (updatetool) is not installed.

      If you choose to install Update Tool, your system will be automatically
      configured to periodically check for software updates. If you would like
      to configure the tool to not check for updates, you can override the
      default behavior via the tool's Preferences facility.

      When this tool interacts with package repositories, some system information
      such as your system's IP address and operating system type and version
      is sent to the repository server. For more information please see:

      http://wiki.updatecenter.java.net/Wiki.jsp?page=UsageMetricsUC2

      Once installation is complete you may re-run this command.

      Would you like to install Update Tool now (y/n): y

      Proxy: Using system proxy settings.
      Install image: /Users/anilam/Sun/v3/3.0.1/pb22/glassfishv3
      Installing updatetool packages.
      Input/output error: Unable to resolve dependency on package:pkg:/wxpython2.8-minimal@2.8.10.1-50

      Could not download application packages. This could be because:

      • a proxy server is needed to access the internet. Please ensure that
        the system proxy server settings are correct, or set the 'http_proxy'
        environment variable to the full URL of the proxy server.
      • the package server is down or otherwise inaccessible or it is
        generating invalid data. Please contact the provider of the package
        server.

        Activity

        Hide
        Snjezana Sevo-Zenzerovic added a comment -

        Anissa, what platform was this? MacOS?

        Show
        Snjezana Sevo-Zenzerovic added a comment - Anissa, what platform was this? MacOS?
        Hide
        Snjezana Sevo-Zenzerovic added a comment -

        It seem that wxpython2.8-minimal@2.8.10.1-50 has not been pushed MacOS stable repository. I do see it in MacOS dev repo, though.

        I'll ask Jill to update the repository content and that should resolve this issue. No workspace code change is necessary.

        Show
        Snjezana Sevo-Zenzerovic added a comment - It seem that wxpython2.8-minimal@2.8.10.1-50 has not been pushed MacOS stable repository. I do see it in MacOS dev repo, though. I'll ask Jill to update the repository content and that should resolve this issue. No workspace code change is necessary.
        Hide
        Anissa Lam added a comment -

        Yes, this is on my Mac. I saw that when i was working from home, without proxy.
        I just tried again in office and see the same thing.

        Show
        Anissa Lam added a comment - Yes, this is on my Mac. I saw that when i was working from home, without proxy. I just tried again in office and see the same thing.
        Hide
        Snjezana Sevo-Zenzerovic added a comment -

        Missing package has been published to stable repository. Please reopen if the issue persists.

        Show
        Snjezana Sevo-Zenzerovic added a comment - Missing package has been published to stable repository. Please reopen if the issue persists.

          People

          • Assignee:
            Snjezana Sevo-Zenzerovic
            Reporter:
            Anissa Lam
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: